put
https://services.azuga.com/azuga-ws-oauth/v3/assets/.json
This API allows you to update an asset and add all its associated information. You are allowed to update only the assets you have access to.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
{
"name": "testAsset111",
"assetno": "testAsset2",
"make": "Volkswagen",
"model": "Golf",
"year": "2013",
"licensePlateNo": "A12345",
"identification": "Asset54",
"groupId": "db6c11dc-4f9d-11e4-950e-699a6d6c7858",
"deviceId": "01cff9f3-e5ae-11ec-9f98-d71f751c0e0c",
"engineRunTime": 144000,
"lastServiceDate": "07/05/2022",
"nextServiceDate": "07/30/2022",
"extensionLiteStr": "{\"extension1Id\":\"4f3473fb-c9c1-11ea-bd28-3956495f9ab5\",\"extension2Id\":\"a5d892f4-decc-11ea-944f-2dcdde665427\"}",
"tagsAssociated": "[\"Business\"]",
"assetTagsNames": null,
"bgColor": "#010000",
"color": "#ff0000",
"iconName": "SUV",
"temperatureSensorIds": null,
"currentOdometerReading": "0.0000",
"id": "35abce75-0f47-11ed-8365-0b43f444e82c"
}
Sample Requesthttps://services.azuga.com/azuga-ws-oauth/v3/assets/35abce75-0f47-11ed-8365-0b43f444e82c.json
API Response glossary
| Field | Description | Data Type |
|---|---|---|
| id | Unique id represents the asset | String |
| assetno | Name of the asset type | String |
| make | Make of the vehicle | String |
| model | Model of the vehicle | String |
| year | Manufactured year of the vehicle | Integer |
| tagNames | For Azuga internal use | String |
| groupId | Unique identifier representing the group associated with the asset | String |
| groupName | Name of the group | String |
| name | Name of the asset | String |
| deviceId | Unique identifier of the datalogger device associated with the asset | String |
| trackeeTypeId | Unique identifier representing the vehicle type 1 = Vehicle 3 = Asset | Short |
| deviceName | Serial number of the device associated with the asset | String |
| associatedTagIds | For Azuga internal use | String |
| licensePlateNo | License plate number of the vehicle | String |
| identification | Asset identification name | String |
| lastServiceDate | Last service date of the vehicle in dd/mm/yyyy format | Date |
| nextServiceDate | Next service date of the vehicle in dd/mm/yyyy format | Date |
| lsdTimestamp | Last service time of the vehicle in UTC milliseconds | Timestamp |
| nsdTimestamp | Next service time of the vehicle in UTC milliseconds | Timestamp |
| isShared | For Azuga internal use | Boolean |
| extensionLite | Meta-data of the extensions | Object |
| extension1Id | The unique identifier represents the extension1 which is associated with the asset | String |
| extension2Id | The unique identifier represents the extension2 which is associated with the asset | String |
| extension1Name | Name of the extension1 | String |
| extension2Name | Name of the extension2 | String |
| extensionType | For Azuga internal use | String |
| extensionEnabled | For Azuga internal use | Boolean |
| extensionLiteStr | For Azuga internal use | String |
| extension1Name | For Azuga internal use | String |
| extension2Name | For Azuga internal use | String |
| iconName | Name of the icon configured for this asset | String |
| customIcon | For Azuga internal use | byte[] |
| color | Hex color code which denotes the text color. Default color is red. | String |
| bgColor | Hex color code which denotes the background color. Default color is red. | String |
| vehicleIcon | For Azuga internal use | String |
| engineRunTime | Current engine time in seconds | Integer |
| initialEngineRuntime | Initial engine time in seconds | Integer |
| temperatureSensorIds | For Azuga internal use | string |
| assetTags | Tag names enclosed by # symbol Eg: "assetTags": "#Tag1#" | string |
| tagsAssociated | For Azuga internal use | string |
| assetTagsNames | For Azuga internal use | string |
| fuelCardNumber | For Azuga internal use | string |
| iconUrl | For Azuga internal use | string |
| imei | IMEI of the SIM associated with the device | string |
| vehicleDeviceOdoReading | Odometer reading from the asset | Double |
| vehicleDeviceCurrentodoReading | System calculated odometer reading of the asset | Double |
| odometerReading | Rounded odometer reading from the asset | Double |
| currentOdometerReading | Rounded system calculated odometer reading of the asset | Double |
| error | Error description - if any | List<Error> |

